/**
*Time Machine App
* Implementing Time Machine App
*/
var TimeMachineApp = TimeMachineApp || {};  //Define Time Machine App namespace.
/**
*Constructor UNAS App
*/
TimeMachineApp.App = function () {
    this.id = 'Time Machine';
    this.name = 'Time Machine';
    this.version = '6.0.6';
    this.active = false;
    this.menuIcon = '/apps/timemachine/images/logo.png?v=6.0.6&';
    this.shortcutIcon = '/apps/timemachine/images/logo.png?v=6.0.6&';
    this.entryUrl = "/apps/timemachine/timemachine.html?v=6.0.6&";
    //this.entryHelpUrl = '/apps/timemachine/timemachine_help.html?v=6.0.6&';
    var self = this;
    this.TimeMachineAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('Time Machine')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'TimeMachineAppWindow',
            title: UNAS._('Time Machine'),
            icon: '/apps/timemachine/images/logo_small.png?v=6.0.6&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/timemachine/timemachine.html?v=6.0.6&',
            require: {  css: ['/apps/timemachine/css/timemachine.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Time Machine",'TimeMachineAppWindow')}
     	});
    };
    this.TimeMachineUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Time Machine');
    	UNAS.RemoveMenu('Time Machine');
    	UNAS.RemoveAppFromGroups('Time Machine', 'Help');
    	UNAS.RemoveAppFromGroups('Time Machine', 'ControlPanel');
    	UNAS.RemoveAppFromApps('Time Machine');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Time Machine', '', this.TimeMachineAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Time Machine', this.TimeMachineAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Laction' : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Laction' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('Time Machine', UNAS._('Time Machine')); //translate menu
        //UNAS.SetShortcutTitle('Time Machine', UNAS._('Time Machine'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('TimeMachineAppWindow', UNAS._('Time Machine'));
        }
    };
    UNAS.LoadTranslation('/apps/timemachine/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.TimeMachineAppWindow, this.TimeMachineUninstall);
};

new TimeMachineApp.App();
